Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom
Class DOMException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.DOMException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DomEx

public class DOMException
extends java.lang.RuntimeException

DOM operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable). In general, DOM methods return specific error values in ordinary processing situations, such as out-of-bound errors when using `NodeList`.

Implementations should raise other exceptions under other circumstances. For example, implementations should raise an implementation-dependent exception if a `null` argument is passed.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

See also the Document Object Model (DOM) Level 2 Core Specification.

See Also:
  Serialized Form

Field Summary
`short` | `code`
`static short` | `DOMSTRING_SIZE_ERR` If the specified range of text does not fit into a DOMString
`static short` | `HIERARCHY_REQUEST_ERR` If any node is inserted somewhere it doesn't belong
`static short` | `INDEX_SIZE_ERR` If index or size is negative, or greater than the allowed value
`static short` | `INUSE_ATTRIBUTE_ERR` If an attempt is made to add an attribute that is already in use elsewhere
`static short` | `INVALID_ACCESS_ERR` If a parameter or an operation is not supported by the underlying object.
`static short` | `INVALID_CHARACTER_ERR` If an invalid or illegal character is specified, such as in a name.
`static short` | `INVALID_MODIFICATION_ERR` If an attempt is made to modify the type of the underlying object.
`static short` | `INVALID_STATE_ERR` If an attempt is made to use an object that is not, or is no longer, usable.
`static short` | `NAMESPACE_ERR` If an attempt is made to create or change an object in a way which is incorrect with regard to namespaces.
`static short` | `NO_DATA_ALLOWED_ERR` If data is specified for a node which does not support data
`static short` | `NO_MODIFICATION_ALLOWED_ERR` If an attempt is made to modify an object where modifications are not allowed
`static short` | `NOT_FOUND_ERR` If an attempt is made to reference a node in a context where it does not exist
`static short` | `NOT_SUPPORTED_ERR` If the implementation does not support the requested type of object or operation.
`static short` | `SYNTAX_ERR` If an invalid or illegal string is specified.
`static short` | `WRONG_DOCUMENT_ERR` If a node is used in a different document than the one that created it (that doesn't support it)

Constructor Summary
`DOMException(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public short code

### INDEX_SIZE_ERR

    public static final short INDEX_SIZE_ERR

  If index or size is negative, or greater than the allowed value

### DOMSTRING_SIZE_ERR

    public static final short DOMSTRING_SIZE_ERR

  If the specified range of text does not fit into a DOMString

### HIERARCHY_REQUEST_ERR

    public static final short HIERARCHY_REQUEST_ERR

  If any node is inserted somewhere it doesn't belong

### WRONG_DOCUMENT_ERR

    public static final short WRONG_DOCUMENT_ERR

  If a node is used in a different document than the one that created it (that doesn't support it)

### INVALID_CHARACTER_ERR

    public static final short INVALID_CHARACTER_ERR

  If an invalid or illegal character is specified, such as in a name. See production 2 in the XML specification for the definition of a legal character, and production 5 for the definition of a legal name character.

### NO_DATA_ALLOWED_ERR

    public static final short NO_DATA_ALLOWED_ERR

  If data is specified for a node which does not support data

### NO_MODIFICATION_ALLOWED_ERR

    public static final short NO_MODIFICATION_ALLOWED_ERR

  If an attempt is made to modify an object where modifications are not allowed

### NOT_FOUND_ERR

    public static final short NOT_FOUND_ERR

  If an attempt is made to reference a node in a context where it does not exist

### NOT_SUPPORTED_ERR

    public static final short NOT_SUPPORTED_ERR

  If the implementation does not support the requested type of object or operation.

### INUSE_ATTRIBUTE_ERR

    public static final short INUSE_ATTRIBUTE_ERR

  If an attempt is made to add an attribute that is already in use elsewhere

### INVALID_STATE_ERR

    public static final short INVALID_STATE_ERR

  If an attempt is made to use an object that is not, or is no longer, usable.
  Since:
    DOM Level 2

### SYNTAX_ERR

    public static final short SYNTAX_ERR

  If an invalid or illegal string is specified.
  Since:
    DOM Level 2

### INVALID_MODIFICATION_ERR

    public static final short INVALID_MODIFICATION_ERR

  If an attempt is made to modify the type of the underlying object.
  Since:
    DOM Level 2

### NAMESPACE_ERR

    public static final short NAMESPACE_ERR

  If an attempt is made to create or change an object in a way which is incorrect with regard to namespaces.
  Since:
    DOM Level 2

### INVALID_ACCESS_ERR

    public static final short INVALID_ACCESS_ERR

  If a parameter or an operation is not supported by the underlying object.
  Since:
    DOM Level 2

Constructor Detail

### DOMException

    public DOMException(short code,
                        java.lang.String message)

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.